name: itrimobe
description: A new Flutter project.

# Empêche la publication sur pub.dev (utile pour projets privés)
publish_to: 'none'

# Version de l'application
version: 1.0.0+1

# Environnement Flutter/Dart
environment:
  sdk: '>=3.7.2 <4.0.0'

# Dépendances de production
dependencies:
  flutter:
    sdk: flutter

  # Icônes iOS style Cupertino
  cupertino_icons: ^1.0.8

  # Pour effectuer des requêtes HTTP
  http: ^0.13.5
  pdf: ^3.10.7
  printing: ^5.11.1
  path_provider: ^2.1.1
  share_plus: ^7.2.1
  permission_handler: ^11.1.0
  intl: ^0.18.1

# Dépendances de développement/test
dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.1

# Paramètres spécifiques à Flutter
flutter:
  uses-material-design: true

  # Décommente ceci si tu veux ajouter des images par exemple :
  assets:
    - assets/logo_transparent.png

flutter_icons:
  android: true
  ios: true
  image_path: "assets/logo_transparent.png"

